(in-package "BLUDISTE")
(require "hra" "hra")
(require "mapa" "mapa")
;(require "tah_graficky" "tah_graficky")
;(require "tah_textove" "tah_textove")
(require "valeko" "valeko")
(require "prisera" "prisera")
(require "monitor_graficky" "monitor_graficky")
;(require "monitor_textove" "monitor_textove")

;(setq priklad_trida_tahovy_objekt_postava 'trida_tahovy_objekt_postava_graficky)
;(setq priklad_trida_tahovy_objekt_postava 'trida_tahovy_objekt_postava_textove)
(setq priklad_trida_tahovy_objekt_postava 'trida_tahovy_objekt_postava_valeko)
(setq priklad_trida_monitor 'trida_monitor_graficky)
;(setq priklad_trida_monitor 'trida_monitor_textove)

(spustit
  (make-instance 'trida_hra
    :mapa (make-instance 'trida_mapa :pole
      #(
        #(zed zed zed zed zed zed zed zed zed zed zed zed vychod zed zed zed zed zed zed zed zed zed zed zed zed)
        #(zed chodba strela chodba chodba chodba chodba chodba chodba chodba strela chodba klic chodba klic chodba chodba chodba chodba chodba klic chodba chodba chodba zed)
        #(zed chodba zed zed zed chodba zed zed zed chodba zed zed zed zed zed klic zed zed zed chodba zed zed zed chodba zed)
        #(zed klic zed chodba klic klic chodba chodba klic chodba chodba chodba klic strela klic strela klic chodba chodba chodba chodba chodba zed chodba zed)
        #(zed chodba zed chodba zed zed zed zed zed zed zed zed chodba zed zed zed zed zed zed zed zed chodba zed chodba zed)
        #(zed chodba strela klic zed chodba chodba chodba chodba chodba klic chodba chodba chodba chodba chodba chodba strela chodba chodba zed chodba chodba strela zed)
        #(zed chodba zed chodba zed klic zed zed zed chodba zed zed zed zed zed strela zed zed zed chodba zed strela zed klic zed)
        #(zed chodba zed chodba zed chodba zed chodba chodba klic chodba chodba chodba klic chodba klic chodba chodba zed chodba zed chodba zed chodba zed)
        #(zed chodba zed chodba zed chodba zed chodba zed zed zed zed chodba zed zed zed zed chodba zed chodba zed chodba zed chodba zed)
        #(zed chodba chodba chodba zed chodba chodba chodba zed chodba chodba chodba chodba chodba chodba chodba zed chodba strela chodba zed chodba chodba chodba zed)
        #(zed chodba zed strela zed chodba zed strela zed chodba zed zed chodba zed zed chodba zed klic zed chodba zed chodba zed klic zed)
        #(zed chodba zed strela zed chodba zed strela zed chodba zed zed chodba zed zed chodba zed chodba zed chodba zed chodba zed strela zed)
        #(vychod chodba zed chodba klic chodba zed chodba chodba chodba chodba chodba chodba chodba chodba chodba klic chodba zed chodba chodba chodba zed chodba vychod)
        #(zed chodba zed chodba zed chodba zed chodba zed chodba zed zed chodba zed zed chodba zed chodba zed strela zed chodba zed chodba zed)
        #(zed chodba zed strela zed chodba zed chodba zed chodba zed zed chodba zed zed chodba zed chodba zed chodba zed chodba zed chodba zed)
        #(zed chodba strela chodba zed chodba chodba chodba zed chodba chodba chodba chodba chodba chodba chodba zed chodba chodba chodba zed chodba klic klic zed)
        #(zed chodba zed chodba zed chodba zed chodba zed zed zed zed chodba zed zed zed zed chodba zed chodba zed chodba zed chodba zed)
        #(zed strela zed chodba zed chodba zed chodba chodba strela chodba chodba chodba chodba chodba chodba chodba chodba zed chodba zed chodba zed strela zed)
        #(zed chodba zed klic zed chodba zed zed zed chodba zed zed zed zed zed chodba zed zed zed chodba zed strela zed klic zed)
        #(zed chodba klic chodba zed chodba chodba chodba strela strela chodba chodba chodba chodba strela chodba chodba chodba chodba chodba zed chodba chodba chodba zed)
        #(zed strela zed chodba zed zed zed zed zed zed zed zed chodba zed zed zed zed zed zed zed zed klic zed chodba zed)
        #(zed klic zed chodba chodba chodba chodba chodba chodba klic chodba chodba chodba chodba chodba chodba chodba chodba chodba strela chodba chodba zed chodba zed)
        #(zed chodba zed zed zed chodba zed zed zed chodba zed zed zed zed zed chodba zed zed zed chodba zed zed zed chodba zed)
        #(zed chodba strela chodba chodba chodba chodba strela strela klic chodba chodba chodba klic chodba chodba chodba chodba chodba chodba chodba strela strela chodba zed)
        #(zed zed zed zed zed zed zed zed zed zed zed zed vychod zed zed zed zed zed zed zed zed zed zed zed zed)
      ))
    :postavy (list
      (make-instance 'trida_postava
        :pozice (make-instance 'trida_pozice :x 12 :y 12)
        :smer_pohledu 'nahoru
        :tahovy_objekt (make-instance priklad_trida_tahovy_objekt_postava)
        :pocet_strel 3
        :pocet_zivotu 3
      )
    )
    :prisery (list
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 12 :y 17))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 12 :y 7))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 9 :y 19))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 15 :y 19))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 15 :y 5))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 9 :y 5))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 12 :y 21))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 12 :y 3))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 5 :y 23))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 9 :y 23))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 15 :y 23))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 19 :y 23))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 19 :y 1))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 15 :y 1))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 9 :y 1))
      (make-instance 'trida_prisera_nahodne_vodorovne
        :pozice (make-instance 'trida_pozice :x 5 :y 1))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 17 :y 12))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 7 :y 12))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 19 :y 15))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 19 :y 9))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 5 :y 9))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 5 :y 15))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 3 :y 12))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 21 :y 12))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 23 :y 19))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 23 :y 15))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 23 :y 9))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 23 :y 5))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 1 :y 5))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 1 :y 9))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 1 :y 15))
      (make-instance 'trida_prisera_nahodne_svisle
        :pozice (make-instance 'trida_pozice :x 1 :y 19))
    )
    :monitory (list (make-instance priklad_trida_monitor))
  )
)
