(in-package "BLUDISTE")

(provide "monitor_textove")

(require "monitor" "monitor")

(require "tisk_textove" "tisk_textove")

(require "log_viewer" "log_viewer")



; ***** monitor pro znakove zobrazeni *****



(defclass trida_monitor_textove(trida_monitor) ())



(defmethod start((monitor trida_monitor_textove))

  (format t "~%")

)



(defmethod krok((monitor trida_monitor_textove))

  (format t "Cislo tahu: ~A ~%" (slot_cislo_tahu (slot_hra monitor)))

  (tisk_mapy (slot_hra monitor))

)



(defmethod konec((monitor trida_monitor_textove))

  (format t "~%~%KONEC HRY!~%Stav bludiste po skonceni:~%")

  (tisk_mapy (slot_hra monitor))

  (format t "!!!!! KONEC - ~A~%" (slot_konec (slot_hra monitor)))

  (zobraz_konec_body monitor)

  (zapis_log (slot_hra monitor))

)



(defmethod zobraz_konec_body((monitor trida_monitor_textove))

  (let ((hra (slot_hra monitor)))

    (cond ((typep hra 'trida_log_viewer) nil)

          (t

            (mapc

              #'(lambda (postava)

                (format t "bodu: ~A~%tahu: ~A~% cas:~A~%"

                  (slot_pocet_bodu postava)

                  (slot_cislo_tahu hra) 

                  (/ (slot_cislo_tahu hra) 

                     (max 1 (slot_pocet_bodu postava)))

              ) )

              (slot_postavy hra)

            )

        )

    )

  )

)