(in-package "BLUDISTE")

(provide "postava")

(require "aktivni_objekt" "aktivni_objekt")



; --------------------------------------------------------------

; postavicky

; ==========



(defclass trida_postava(trida_aktivni_objekt) 

  (

    (pocet_klicu :type integer :accessor slot_pocet_klicu :initform 0 

                 :initarg :pocet_klicu)

    (pocet_strel :type integer :accessor slot_pocet_strel :initform 0 

                 :initarg :pocet_strel)

    (pocet_bodu :type integer :accessor slot_pocet_bodu :initform 0 

                :initarg :pocet_bodu)

  )

)



(defmethod postava_pridat_klic ((postava trida_postava))

  (setf (slot_pocet_klicu postava) (1+ (slot_pocet_klicu postava)))

)



(defmethod postava_pridat_strelu ((postava trida_postava))

  (setf (slot_pocet_strel postava) (1+ (slot_pocet_strel postava)))

)



(defmethod postava_odebrat_strelu ((postava trida_postava))

  (setf (slot_pocet_strel postava) (1- (slot_pocet_strel postava)))

)



(defmethod postava_pridat_bod ((postava trida_postava))

  (setf (slot_pocet_bodu postava) (1+ (slot_pocet_bodu postava)))

)





;pri inicializaci postavy se inicializuje tahovy objekt (totez na konci)

(defmethod start ((postava trida_postava))

  (cond ((not (null (slot_tahovy_objekt postava)))

          (start (slot_tahovy_objekt postava)))

  )

)



(defmethod konec ((postava trida_postava))

  (cond ((not (null (slot_tahovy_objekt postava)))

          (konec (slot_tahovy_objekt postava)))

  )

)

