(in-package "BLUDISTE")

(provide "prisera")

(require "aktivni_objekt" "aktivni_objekt")

(require "tahovy_objekt" "tahovy_objekt")

(require "parametry_tahu" "parametry_tahu")



; --------------------------------------------------------------

; prisery

; =======



(defclass trida_prisera(trida_aktivni_objekt) ())



(defclass trida_prisera_stop(trida_prisera) ()

  (:default-initargs :tahovy_objekt (make-instance 'trida_tahovy_objekt_prisera_stop)

                     :smer_pohledu (smer_pohledu_nahodne)

  )

)



(defclass trida_prisera_nahodne(trida_prisera) ()

  (:default-initargs :tahovy_objekt (make-instance 'trida_tahovy_objekt_prisera_nahodne)

                     :smer_pohledu (smer_pohledu_nahodne)

  )

)



(defclass trida_prisera_nahodne_vodorovne(trida_prisera) ()

  (:default-initargs :tahovy_objekt (make-instance 'trida_tahovy_objekt_prisera_nahodne_rovne)

                     :smer_pohledu (smer_pohledu_nahodne_vodorovne)

  )

)



(defclass trida_prisera_nahodne_svisle(trida_prisera) ()

  (:default-initargs :tahovy_objekt (make-instance 'trida_tahovy_objekt_prisera_nahodne_rovne)

                     :smer_pohledu (smer_pohledu_nahodne_svisle)

  )

)





(defclass trida_tahovy_objekt_prisera_stop(trida_tahovy_objekt) ())



(defmethod tahova_funkce((tahovy_objekt trida_tahovy_objekt_prisera_stop) 

                         (parametry trida_parametry_tahu))

  (make-instance 'trida_tah :akce 'stop)

)





(defclass trida_tahovy_objekt_prisera_nahodne(trida_tahovy_objekt) ())



(defmethod tahova_funkce((tahovy_objekt trida_tahovy_objekt_prisera_nahodne) 

                         (parametry trida_parametry_tahu))

  (make-instance 'trida_tah :akce (smer_nahodne))

)





(defclass trida_tahovy_objekt_prisera_nahodne_rovne(trida_tahovy_objekt) ())



(defmethod tahova_funkce((tahovy_objekt trida_tahovy_objekt_prisera_nahodne_rovne) 

                         (parametry trida_parametry_tahu))

  (make-instance 'trida_tah :akce (smer_nahodne_rovne))

)





