(in-package "BLUDISTE")
(require "hra" "hra")
(require "mapa" "mapa")
;(require "tah_graficky" "tah_graficky")
;(require "tah_textove" "tah_textove")
(require "valeko" "valeko")
(require "prisera" "prisera")
(require "monitor_graficky" "monitor_graficky")
;(require "monitor_textove" "monitor_textove")

;(setq priklad_trida_tahovy_objekt_postava 'trida_tahovy_objekt_postava_graficky)
;(setq priklad_trida_tahovy_objekt_postava 'trida_tahovy_objekt_postava_textove)
(setq priklad_trida_tahovy_objekt_postava 'trida_tahovy_objekt_postava_valeko)
(setq priklad_trida_monitor 'trida_monitor_graficky)
;(setq priklad_trida_monitor 'trida_monitor_textove)

(spustit
  (make-instance 'trida_hra
    :mapa (make-instance 'trida_mapa :pole
      #(
        #(zed zed zed zed zed zed zed zed zed zed zed zed vychod zed zed zed zed zed zed zed zed zed zed zed zed)
        #(zed chodba strela chodba chodba chodba klic chodba strela chodba chodba chodba strela chodba chodba chodba strela chodba chodba chodba chodba strela chodba klic zed)
        #(zed chodba zed zed zed chodba zed zed zed chodba zed zed zed zed zed chodba zed zed zed chodba zed zed zed chodba zed)
        #(zed chodba zed chodba chodba klic chodba chodba chodba chodba strela chodba chodba chodba chodba chodba chodba chodba klic chodba chodba chodba zed chodba zed)
        #(zed chodba zed chodba zed zed zed zed zed zed zed zed chodba zed zed zed zed zed zed zed zed chodba zed klic zed)
        #(zed chodba chodba chodba zed chodba chodba chodba chodba chodba chodba chodba chodba klic strela chodba chodba chodba klic chodba zed chodba chodba chodba zed)
        #(zed chodba zed chodba zed strela zed zed zed chodba zed zed zed zed zed chodba zed zed zed strela zed chodba zed klic zed)
        #(zed chodba zed chodba zed chodba zed chodba chodba chodba chodba chodba klic chodba chodba strela strela chodba zed chodba zed chodba zed chodba zed)
        #(zed klic zed strela zed chodba zed chodba zed zed zed zed chodba zed zed zed zed chodba zed chodba zed chodba zed chodba zed)
        #(zed klic strela strela zed chodba klic klic zed chodba chodba chodba chodba chodba chodba chodba zed strela chodba chodba zed chodba chodba klic zed)
        #(zed klic zed chodba zed chodba zed klic zed chodba zed zed chodba zed zed chodba zed chodba zed chodba zed chodba zed chodba zed)
        #(zed chodba zed chodba zed chodba zed klic zed chodba zed zed chodba zed zed chodba zed chodba zed chodba zed chodba zed chodba zed)
        #(vychod chodba zed klic chodba strela zed chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba zed strela chodba strela zed chodba vychod)
        #(zed chodba zed chodba zed chodba zed chodba zed chodba zed zed chodba zed zed chodba zed chodba zed chodba zed chodba zed chodba zed)
        #(zed chodba zed chodba zed chodba zed chodba zed chodba zed zed chodba zed zed chodba zed chodba zed chodba zed chodba zed chodba zed)
        #(zed chodba klic chodba zed chodba klic chodba zed chodba chodba chodba chodba chodba chodba chodba zed chodba chodba chodba zed strela chodba chodba zed)
        #(zed chodba zed chodba zed chodba zed klic zed zed zed zed strela zed zed zed zed klic zed chodba zed chodba zed strela zed)
        #(zed klic zed chodba zed chodba zed strela chodba chodba chodba klic chodba strela chodba chodba chodba chodba zed chodba zed strela zed chodba zed)
        #(zed strela zed chodba zed chodba zed zed zed chodba zed zed zed zed zed chodba zed zed zed chodba zed chodba zed chodba zed)
        #(zed chodba chodba chodba zed chodba klic strela klic chodba chodba chodba strela chodba chodba strela chodba chodba klic chodba zed chodba chodba chodba zed)
        #(zed chodba zed chodba zed zed zed zed zed zed zed zed klic zed zed zed zed zed zed zed zed chodba zed chodba zed)
        #(zed chodba zed chodba chodba chodba klic chodba strela klic strela chodba chodba chodba chodba strela chodba chodba chodba klic chodba chodba zed chodba zed)
        #(zed chodba zed zed zed chodba zed zed zed chodba zed zed zed zed zed chodba zed zed zed chodba zed zed zed klic zed)
        #(zed chodba chodba chodba chodba chodba strela chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba chodba zed)
        #(zed zed zed zed zed zed zed zed zed zed zed zed vychod zed zed zed zed zed zed zed zed zed zed zed zed)
      ))
    :postavy (list
      (make-instance 'trida_postava
        :pozice (make-instance 'trida_pozice :x 12 :y 12)
        :smer_pohledu 'nahoru
        :tahovy_objekt (make-instance priklad_trida_tahovy_objekt_postava)
        :pocet_strel 3
        :pocet_zivotu 3
      )
    )
    :prisery (list
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 7 :y 13))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 5 :y 6))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 9 :y 6))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 17 :y 15))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 1 :y 9))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 2 :y 1))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 5 :y 17))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 9 :y 19))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 1 :y 20))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 13 :y 21))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 17 :y 15))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 1 :y 21))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 9 :y 6))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 23 :y 18))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 3 :y 6))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 23 :y 14))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 17 :y 10))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 1 :y 7))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 23 :y 20))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 19 :y 12))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 21 :y 20))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 10 :y 5))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 22 :y 5))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 19 :y 14))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 4 :y 21))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 9 :y 22))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 22 :y 19))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 1 :y 13))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 13 :y 3))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 14 :y 1))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 7 :y 21))
      (make-instance 'trida_prisera_nahodne
        :pozice (make-instance 'trida_pozice :x 23 :y 22))
    )
    :monitory (list (make-instance priklad_trida_monitor))
  )
)
