(in-package "BLUDISTE")

(provide "legenda")

(require "hra" "hra")



; --------------------------------------------------------------

; graficka legenda

; ================





(defun zobraz_legendu(data interface)

  (declare (ignore data interface))

  (capi:display (make-instance 'interface_legenda))

)



(capi:define-interface interface_legenda ()

  ()

  (:panes

     (zed_text capi:title-pane :text "zed:")

     (zed_barva capi:title-pane :text "    " :background :brown)

     (chodba_text capi:title-pane :text "chodba:")

     (chodba_barva capi:title-pane :text "    " :background :white)

     (vychod_text capi:title-pane :text "vychod:")

     (vychod_barva capi:title-pane :text "    " :background :magenta)

     (klic_text capi:title-pane :text "klic:")

     (klic_barva capi:title-pane :text "    " :background :yellow)

     (strela_text capi:title-pane :text "strela:")

     (strela_barva capi:title-pane :text "    " :background :cyan)

     (postava_text capi:title-pane :text "postava:")

     (postava_barva capi:title-pane :text "    " :background :green)

     (prisera_text capi:title-pane :text "prisera:")

     (prisera_barva capi:title-pane :text "    " :background :red)

     (aktivni_strela_text capi:title-pane :text "aktivni strela:")

     (aktivni_strela_barva capi:title-pane :text "    " :background :blue)

  )

  (:layouts

     (sloupec capi:grid-layout

        '(

          zed_text zed_barva

          chodba_text chodba_barva

          vychod_text vychod_barva

          klic_text klic_barva

          strela_text strela_barva

          postava_text postava_barva

          prisera_text prisera_barva

          aktivni_strela_text aktivni_strela_barva)

        :columns 2

        :x-adjust '(:left :left)

     )

  )

  (:default-initargs :title "Legenda")

)

