(in-package "BLUDISTE")

(provide "strela")

(require "aktivni_objekt" "aktivni_objekt")

(require "tahovy_objekt" "tahovy_objekt")

(require "parametry_tahu" "parametry_tahu")



; --------------------------------------------------------------

; strely

; ******



(defclass trida_strela(trida_aktivni_objekt) 

  (

    (vlastnik :type trida_postava :accessor slot_vlastnik :initform nil 

              :initarg :vlastnik)

  )

)





;default chovani strely je letet stale dopredu

(defclass trida_tahovy_objekt_strela_dopredu(trida_tahovy_objekt) ())



(defmethod tahova_funkce((tahovy_objekt trida_tahovy_objekt_strela_dopredu) 

                         (parametry trida_parametry_tahu))

 (make-instance 'trida_tah :akce 'dopredu)

)





;demonstrace chovani strely - bumerang! 

(defclass trida_tahovy_objekt_strela_bumerang(trida_tahovy_objekt) ())



(defmethod tahova_funkce((tahovy_objekt trida_tahovy_objekt_strela_bumerang) 

                         (parametry trida_parametry_tahu))

  (cond

    ((>= (slot_pocet_zivotu 

           (slot_vlastni_postava parametry)) 

         (/ max_viditelnost 2))

        (make-instance 'trida_tah :akce 'dopredu))

    (t  (make-instance 'trida_tah :akce 'dozadu))

  ) 

)

