(in-package "BLUDISTE")

(provide "tah_textove")

(require "tahovy_objekt" "tahovy_objekt")

(require "parametry_tahu" "parametry_tahu")

(require "tah" "tah")

(require "tisk_textove" "tisk_textove")



; --------------------------------------------------------------

; tahove funkce postavicek

; ========================



(defclass trida_tahovy_objekt_postava_textove(trida_tahovy_objekt) ())



(defmethod tahova_funkce((tahovy_objekt trida_tahovy_objekt_postava_textove) 

                         (parametry trida_parametry_tahu))

  (let ((tah nil))

    (tisk_mapy (make-instance 'trida_hra

      :mapa (mapa_reverse (slot_viditelna_mapa parametry))

      :postavy (list (make-instance 'trida_postava

                                    :pozice (make-instance 'trida_pozice 

                                                       :x max_viditelnost 

                                                       :y max_viditelnost)

                     )

               )

      :prisery (posun_viditelne_objekty 

                  (slot_viditelne_prisery parametry))

      :strely (posun_viditelne_objekty 

                 (slot_viditelne_strely parametry))

    ))

    (format t "~%zadej tah:~%")

    (setq tah (read))

    (format t "~%")

    (cond

      ((eql tah 'bumerang)

        (make-instance 'trida_tah :akce 'strela :tahovy_objekt 

           (make-instance 'trida_tahovy_objekt_strela_bumerang)))

      (t (make-instance 'trida_tah :akce tah))

    )

  )

)



(defclass trida_tahovy_objekt_postava_stop(trida_tahovy_objekt) ())



(defmethod tahova_funkce((tahovy_objekt trida_tahovy_objekt_postava_stop) 

                         (parametry trida_parametry_tahu))

  (make-instance 'trida_tah :akce 'stop)

)

